package com.ai.config;

import dev.langchain4j.community.model.zhipu.ZhipuAiImageModel;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import java.time.Duration;

@Configuration
public class ZhipuImgModelConfig {

    private static final String apiKey = "a467e654abf94681a4c358a4b9c1b4c8.2lHG0ovQQoYQ7Qdf";

    @Bean
    public ZhipuAiImageModel zhipuAiImageModel() {
        return ZhipuAiImageModel.builder()
                .apiKey(apiKey)
                .model("CogView-3-Flash")
                .logRequests(true)
                .logResponses(true)
                .callTimeout(Duration.ofSeconds(60))
                .connectTimeout(Duration.ofSeconds(60))
                .writeTimeout(Duration.ofSeconds(60))
                .readTimeout(Duration.ofSeconds(60))
                .build();
    }
}
