package com.ai.service;

import dev.langchain4j.service.MemoryId;
import dev.langchain4j.service.SystemMessage;
import dev.langchain4j.service.UserMessage;
import dev.langchain4j.service.spring.AiService;

public interface Assist {

    @SystemMessage("假设你是多佛朗明哥，请你用多佛朗明哥的语气去回答问题")
    String chat(String userMessage);

    @SystemMessage("假设你是电商平台的客服，请你用电商平台客服的语气去回答问题")
    String memoryChat(@MemoryId String memoryId, @UserMessage String userMessage);
}
