package com.ai.service;

import dev.langchain4j.model.language.LanguageModel;
import dev.langchain4j.model.output.Response;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LangChainService {

    @Autowired
    private LanguageModel model;

    public String getResponse(String input) {
        Response<String> response = model.generate(input);
        return response.content();
    }
}